#
# spec file for package gconf (Version 1.0.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  db-devel glib glib-devel gnome-libs gnome-libs-devel gpp gtk gtk-devel indent libghttp libghttp-devel libgpp libgtop libgtop-devel libxml libxml-devel libz oaf oaf-devel orbit orbit-devel popt xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db db-devel devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gpp gppshare grep groff gtk gtk-devel gzip indent kbd less libghttp libghttp-devel libgpp libgtop libgtop-devel libtool libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg oaf oaf-devel orbit orbit-devel pam pam-devel patch perl popt ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gconf
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    LGPL
Group:	      X11/GNOME/Base
Provides:     gconf	
Autoreqprov:  on
Version:      1.0.4
Release:      65
Summary:      The GNOME configuration database system
Source:	      ftp://ftp.gnome.org/pub/GNOME/unstable/sources/GConf/GConf-%{version}.tar.bz2
Patch:        GConf-%{version}.dif
Patch1:       gconf-defaults.dif
BuildRoot:    /var/tmp/gconf-%{version}-root

%description
GConf is a configuration database system, functionally similar to the
Windows registry but more mighty. It's based on XML and a daemon to
provide configuration data to different backends and frontends.

SuSE series: gnm

%prep
%setup -q -n GConf-%{version}
%patch
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
 ./configure --prefix=%{prefix} --sysconfdir=%{sysconfdir}
make -s CFLAGS="$RPM_OPT_FLAGS" 

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -m755 path $RPM_BUILD_ROOT/etc/opt/gnome/gconf/1/path

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%{sysconfdir}/gconf/
%{prefix}/bin/*
%{prefix}/include/*
%{prefix}/lib/*
%{prefix}/share/aclocal/*.m4
%{prefix}/share/locale/*/LC_MESSAGES/*.mo
%{prefix}/share/oaf/*

%changelog -n gconf
* Thu Aug 23 2001 - hhetter@suse.de
- SuSE preconfiguration moved to /etc/opt/gnome/.gconf
* Mon Aug 20 2001 - egger@suse.de
- New configuration scheme which also checks for
  defaults in new XML schemas and allows the sysadmin
  to override userprefs.
* Mon Aug 20 2001 - egger@suse.de
- Updated to version 1.0.4.
* Mon Aug 06 2001 - egger@suse.de
- Updated to version 1.0.3.
* Thu Jul 26 2001 - egger@suse.de
- Updated to version 1.0.2.
* Wed Jun 13 2001 - egger@suse.de
- Updated to version 1.0.1.
* Thu Mar 15 2001 - hhetter@suse.de
- Updated to Vesion 1.0.0
* Sat Mar 03 2001 - egger@suse.de
- Updated to version 0.50.
* Thu Mar 01 2001 - hhetter@suse.de
- included documented gconf-path file
- adapted paths to fit with SuSE-Preconfiguration
* Mon Feb 19 2001 - ro@suse.de
- changed neededforbuild <libghtt> to <libghttp>
- changed neededforbuild <libghtt-devel> to <libghttp-devel>
* Fri Feb 16 2001 - egger@suse.de
- Updated to version 0.12.
* Mon Dec 25 2000 - egger@suse.de
- Cleaned up specfile.
- Recompressed sources with bzip2.
* Fri Nov 10 2000 - egger@suse.de
- Updated to 0.11.
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild and compilation
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Oct 23 2000 - ro@suse.de
- use build-root to fix filelist
* Mon Oct 09 2000 - egger@suse.de
- Updated to 0.10.
* Wed Oct 04 2000 - egger@suse.de
- Updated to 0.9.
* Sun Sep 24 2000 - egger@suse.de
- Use splitted oafdev package in #neededforbuild.
* Mon Sep 18 2000 - egger@suse.de
- Forget to remove a wildcard while fixing the filelist.
* Sun Sep 17 2000 - egger@suse.de
- Added %%{suse_update_config}
* Fri Sep 15 2000 - egger@suse.de
- fixed filelist
* Wed Sep 13 2000 - egger@suse.de
- tweaked neededforbuild a little
* Sat Sep 02 2000 - egger@suse.de
- initial version
